Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Lisp
  Blöcke auf Polylinien suchen

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
  
Gut zu wissen: Hilfreiche Tipps und Tricks aus der Praxis prägnant, und auf den Punkt gebracht für Autodesk Produkte
Autor Thema:  Blöcke auf Polylinien suchen (200 mal gelesen)
Peter2
Ehrenmitglied V.I.P. h.c.




Sehen Sie sich das Profil von Peter2 an!   Senden Sie eine Private Message an Peter2  Schreiben Sie einen Gästebucheintrag für Peter2

Beiträge: 3675
Registriert: 15.10.2003

Win 10/64 Pro
AutoCAD MAP 3D 2018
BricsCAD 22

erstellt am: 20. Okt. 2022 14:20    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Ich bin mir nicht sicher, ob es da schon "was" gibt (Standard? übliches Tool?) gibt, daher die Frage:

- ich habe diverse Polylinien mit div. versch. Eigenschaften (Farbe, Layer, ..)
- dann gibt es Blöcke, die auf den Stützpunkten der Poly liegen (Anfang oder Ende oder mittendrin)
- Aufgabe (Beispiel): Finde alle Blöcke, die auf blauen Poly mit Layer "test" liegen

Wie würde man das angehen?
- Gibt es schon was?
- Abfrage Vertex = Basispunkt?
- Schleife Crosspoly um jeden Einfügepunkt oder umgekehrt?
- ...

Danke
Peter

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 21304
Registriert: 03.06.2002

Alles

erstellt am: 20. Okt. 2022 14:35    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Peter2 10 Unities + Antwort hilfreich

Objektwahl Zaun (sofern man annehmen darf am Blockbasispunkt auch darstellende Geometrieobjekte zu haben im Block),
dazu kannst den Objekttyp Blockreferenz und den Layer als Filterkriterium verwenden.

Zuvor brauchst du natürlich die PL Stützpunkte um diese als Zaun-Koordinaten an ssget zu übergeben
und wenn du keine Bögen in den PLs hast, dann bist du praktisch schon fertig.

(Ja, auch dafür findet man sehr viele Codebeispiele, wer also lieber suchen möchte - man wird fündig)

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 21304
Registriert: 03.06.2002

Alles

erstellt am: 20. Okt. 2022 14:42    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Peter2 10 Unities + Antwort hilfreich

Die Methode ist natürlich recht oberflächlich,
zB. vernachlässigt diese ob die Blockreferenz wirklich auf einem
Vertex oder Mittelpunkt liegt..

NACHTRAG:=> (ssget "_f" coordlist '((8 . "Alert_1")(0 . "INSERT")(2. "MeinBlock")))

Ich bin beim Schreiben davon ausgegangen dies wäre so okay,
jetzt aber bin ich mir nicht mehr so sicher..

Andernfalls
Rein Rechnerisch ist sicher am schnellsten und es bedarf auch keiner Geometrie am Vertex (im Gegensatz zu den ssget-Möglichkeiten).


Sorry, war wohl ein Schnellschuß ohne es mir in Ruhe durchzulesen  

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

archtools
Mitglied



Sehen Sie sich das Profil von archtools an!   Senden Sie eine Private Message an archtools  Schreiben Sie einen Gästebucheintrag für archtools

Beiträge: 800
Registriert: 09.10.2004

Entwickler für AutoCAD, BricsCAD u.a., alle Systeme

erstellt am: 21. Okt. 2022 11:27    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Peter2 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von cadffm:
Die Methode ist natürlich recht oberflächlich,
zB. vernachlässigt diese ob die Blockreferenz wirklich auf einem
Vertex oder Mittelpunkt liegt..

... und wenn sie exakt mit dem Einfügepunkt drauf liegt, bedeutet das ja noch lange nicht, dass die Blockreferenz in der Nähe ihres Einfügepunkts auch "Fleisch" hat, also Entities, die man mit SSGET greifen könnte.

Nein, da würde ich völlig anders vorgehen: Für eine Polylinie die Liste der Vertices und Mittelpunkte erfassen, und dann alle Blockreferenzen der DWG darauf prüfen, ob der Einfügepunkt auf einem dieser Polylinienpunkte liegt.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP



Technischer Produktdesigner / Zeichner (m|w|d)

Die Voith Group ist ein weltweit agierender Technologiekonzern. Mit seinem breiten Spektrum von Anlagen, Produkten, Serviceleistungen und digitalen Anwendungen setzt Voith Maßstäbe in den Märkten für Energie, Öl & Gas, Papier, Rohstoffe und Transport & Automotive. Gegründet 1867, erzielt der Konzern heute mit mehr als 20.000 Mitarbeitern 4,2 Milliarden Euro Umsatz. Mit Standorten in über 60 Ländern der Welt ist es eines der großen Familienunternehmen Europas....

Anzeige ansehenTechnischer Zeichner, Bauzeichner
Peter2
Ehrenmitglied V.I.P. h.c.




Sehen Sie sich das Profil von Peter2 an!   Senden Sie eine Private Message an Peter2  Schreiben Sie einen Gästebucheintrag für Peter2

Beiträge: 3675
Registriert: 15.10.2003

Win 10/64 Pro
AutoCAD MAP 3D 2018
BricsCAD 22

erstellt am: 21. Okt. 2022 15:51    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Danke

ich gehe archtools Methode nach.

Schönes Wochenende!

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2022 CAD.de | Impressum | Datenschutz